<?php

namespace App\Classes\Modules\Transactions\Services;


use App\Models\Transaction;

class ChecksIfTransactionBillNumberExists
{

    private $repository;

    public function __construct(Transaction $repository)
    {
        $this->repository = $repository;
    }

    public function execute(string $bill_no): bool {
        return $this->repository->where('bill_no', $bill_no)->exists();
    }

}